<?
if (!defined("_GNUBOARD_")) exit; // 개별 페이지 접근 불가 

/* 내용을 보기 전 선행처리 부분으로 가급적 수정 하지 */
/* 않을 것을 권합니다. */

//-- 게시판 설정에서 이미지가 클 경우 -----------
//-- 크기를 줄이도록 설정 돼 있다면 리사이징 ----
function resize_check($file_path){
	global $zm_board;

	if(file_exists($file_path) && ($zm_board[imagewidthsize] > 0)){
		//-- 이미지 축소
		$imginfo	= @getimagesize($file_path);
		$imgtype	= strtolower($imginfo[mime]);

		if(($imgtype == "image/gif") || ($imgtype == "image/jpg") || ($imgtype == "image/jpeg") || ($imgtype == "image/png")) {
			$ratio_s	=  $zm_board[imagewidthsize] / $imginfo[0];
			$size_w		= $zm_board[imagewidthsize];
			$size_h		= round($imginfo[1] * $ratio_s);
			zm_makethumb("$file_path", $size_w, $size_h, 1);
		}
	}
}

//-- 추천, 비추천 사용 준비 ---------------------
?>
<script language="javascript">
function zm_board_vote(good, botable, wrid) {
	var		sdata;
	$.ajax({
		url		: "<?=$g4[path]?>/bbs/zm.good.php",
		type	: "GET",
		data	: "good=" + good + "&bo_table=" + botable + "&wr_id=" + wrid,
		success	: function(data) {
			sdata	= data.split("/");
			if(sdata[0] == "good" || sdata[1] == "nogood")	{
				$("#zm_good").html(sdata[1]);
				$("#zm_nogood").html(sdata[3]);
			}else
				alert(data);
		}
	});
}
</script>